Title: javadoc aborts with Java 8
Type: Severity: normal
Components: Documentation Versions: Jython 2.7
Milestone: Jython 2.7.1
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: stefan.richthofer Nosy List: stefan.richthofer
Priority: normal Keywords:

Created on 2016-12-19.20:59:30 by stefan.richthofer, last changed 2017-02-27.04:49:28 by zyasoft.

msg11004 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2016-12-19.20:59:29
javadoc: error - java.lang.IllegalArgumentException: "<stdin>"

This happens while processing or and aborts javadoc process, yielding an incomplete result (i.e. no index.html, no css etc; actually unusable).
It can be fixed by changing the "<stdin>"-literal to '<'+"stdin"+'>' in 
public String filename = "<stdin>"; in
and in
public static final String CONSOLE_FILENAME = "<stdin>"; in In the latter it only works if 'final' is removed, which isn't exactly ideal. I suppose with final-keyword, javac merges '<'+"stdin"+'>' implicitly to "<stdin>" at compile-time, leading to the original issue again. Same if you use \u003c and \u003e in place of '<' and '>'.
msg11075 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-02-06.00:13:47
To work around this, it seems to be sufficient to remove 'final' in

public static final String CONSOLE_FILENAME = "<stdin>"

in No need to use '<'+"stdin"+'>'. Maybe this improved due to Java update, maybe I overlooked this detail last time.

Tested on Linux Mint 18 and Windows 10 with JDK 1.8.0_121.
msg11076 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-02-06.00:43:41
Fixed as of

Maybe I should file an issue at Java bugtracker about this. Last time I looked for it I didn't find this javadoc behavior mentioned in their tracker.
Date User Action Args
2017-02-27 04:49:28zyasoftsetstatus: pending -> closed
2017-02-06 00:43:41stefan.richthofersetstatus: open -> pending
resolution: fixed
messages: + msg11076
2017-02-06 00:13:48stefan.richthofersetassignee: stefan.richthofer
messages: + msg11075
milestone: Jython 2.7.1
2016-12-19 20:59:30stefan.richthofercreate